<template>
    <div class="t-xl p-5 text-center">{{ form.formName }}</div>
    <div class="flex flex-wrap mb-6 m-auto w-full">
        <div class="lg:w-full md:w-1/2 px-3 mb-8 md:mb-5">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="game-title">
                Game Title
            </label>
            <name-field id="game-title"></name-field>
        </div>
        <div class="lg:w-full md:w-1/2 px-3 mb-8 md:mb-5">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2">
                PEGI age classification
            </label>
            <input type="radio" name="pegi" id="Pegi-three" :value="3" v-model="form.picked" class="w-5 h-5 ml-2 text-blue-600 bg-gray-100 border-gray-300 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
            <label for="Pegi-three" class="m-1 text-lg font-medium text-gray-900">3</label>

            <input type="radio" name="pegi" id="Pegi-seven" :value="7" v-model="form.picked" class="w-5 h-5 ml-2 text-blue-600 bg-gray-100 border-gray-300 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
            <label for="Pegi-seven" class="m-1 text-lg font-medium text-gray-900">7</label>

            <input type="radio" name="pegi" id="Pegi-twelve" :value="12" v-model="form.picked" class="w-5 h-5 ml-2 text-blue-600 bg-gray-100 border-gray-300 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
            <label for="Pegi-twelve" class="m-1 text-lg font-medium text-gray-900">12</label>

            <input type="radio" name="pegi" id="Pegi-sixteen" :value="16" v-model="form.picked" class="w-5 h-5 ml-2 text-blue-600 bg-gray-100 border-gray-300 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
            <label for="Pegi-sixteen" class="m-1 text-lg font-medium text-gray-900">16</label>

            <input type="radio" name="pegi" id="Pegi-eighteen" value="18" v-model="form.picked" class="w-5 h-5 ml-2 text-blue-600 bg-gray-100 border-gray-300 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600">
            <label for="Pegi-eighteen" class="m-1 text-lg font-medium text-gray-900">18</label>
        </div>
        <div class="lg:w-full md:w-1/2 px-3 mb-8 md:mb-5">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="game-description">
                Description
            </label>
            <textarea :required="form.gameDescription" id="game-description" name="description" class="appearance-none block w-full h-32 bg-gray-200 text-gray-700 border border-gray-300 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white" :placeholder="form.gameDescription"></textarea>
        </div>
        <div class="lg:w-full md:w-1/2 px-3 mb-8 md:mb-5">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="game-price">
                Price
            </label>
            <price-input id="game-price"></price-input>
        </div>
        <div class="lg:w-full md:w-1/2 px-3 mb-8 md:mb-5">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="multiplayer">
                Multiplayer
            </label>
            <toggle-button v-on:change="triggerToggleEvent" id="multiplayer"></toggle-button>
        </div>
        <div class="lg:w-full md:w-1/2 px-3 mb-8 md:mb-5">
            <div class="w-1/5 m-auto">
                <save-button></save-button>
            </div>
        </div>
    </div>
</template>

<script>
import PriceInput from "../Form-fields/PriceField";
import ToggleButton from "../Form-fields/Toggle-button";
import SaveButton from "../Form-fields/Save-button";
import NameField from "../Form-fields/NameField";

export default {
    data() {
        return {
            form: {
                formName: "Add Game",
                gameName: "Name the game",
                picked: "12",
                gameDescription: "Short explanation here...",
                toggleActive: false,
                errors: []
            }
        }
    },
    methods: {
        triggerToggleEvent(value) {
           this.toggleActive = value;
        },

        checkFormFields: function (e) {
            this.errors = [];

            if (!this.gameName) {
                this.errors.push('Game name is required');
            }
        }

        // use this to test the field requirements without sending the form
        // e.preventDefault();
    },

    components: {NameField, ToggleButton, PriceInput, SaveButton}
}
</script>
